package com.cim.idm.wmspackage.object.management.data;

import com.cim.idm.framework.orm.info.DataInfo;
import com.cim.idm.framework.orm.info.UserColumnMark;
import com.cim.idm.framework.orm.info.access.FieldAccessor;

/*
 ****************************************************************************
 *  PACKAGE : com.cim.idm.mespackage.object.management.data
 *  NAME    : EnumDefValue.java
 *  TYPE    : JAVA
 *  DESCRIPTION :
 *
 ****************************************************************************
 */

public class EnumDefValue extends FieldAccessor implements DataInfo<EnumDefValueKey>
{
	private EnumDefValueKey	key;

	private String			description;
	private String			defaultFlag;
	
	public EnumDefValue()
	{
	}

	public EnumDefValueKey getKey()
	{
		return this.key;
	}

	public void setKey(EnumDefValueKey key)
	{
		this.key = key;
	}

	public String getDescription()
	{
		return this.description;
	}

	public void setDescription(String description)
	{
		this.description = description;
	}

	public String getDefaultFlag()
	{
		return this.defaultFlag;
	}

	public void setDefaultFlag(String defaultFlag)
	{
		this.defaultFlag = defaultFlag;
	}

}